﻿using Blazorise;
using Microsoft.AspNetCore.Components;
using ProjetBlazor.Models;

namespace ProjetBlazor.Components
{
    public partial class GetItemInInventory
    {
        [Parameter]
        public int Index { get; set; }

        [Parameter]
        public Item? Item { get; set; }

        [Parameter]
        public bool NoDrop { get; set; }

        [CascadingParameter]
        public ItemsList Parent { get; set; }

        internal void OnDragEnter()
        {
            if (NoDrop){
                return;
            }
            this.Item = Parent.CurrentDragItem;

        }

        internal void OnDragLeave()
        {
            if (NoDrop)
            {
                return;
            }

        }

        internal void OnDrop()
        {
            if (NoDrop)
            {
                return;
            }

            this.Item = Parent.CurrentDragItem;
        }

        private void OnDragStart()
        {
            Parent.CurrentDragItem = this.Item;
        }
    }
}
